{"swagger":"2.0","info":{"version":"1.0","title":"Documentation"},"host":"eu1-developer.deyecloud.com:443","basePath":"/","tags":[{"name":"Account Operation","description":"."},{"name":"Configuration Operation","description":"Obtain the device configurations"},{"name":"Control Operation","description":"Commit the command to control the device."},{"name":"Device Operation","description":"."},{"name":"Station Operation","description":"."},{"name":"Strategy Operation","description":"."}],"paths":{"/v1.0/account/info":{"post":{"tags":["Account Operation"],"summary":"Query relationship between account and the organization it belongs to","description":"Query which company the account belongs to and the role of the account\n","operationId":"getAccountOrgInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AccountOrgInfoResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/account/token":{"post":{"tags":["Account Operation"],"summary":"Obtain token","description":"The token serves as the credential for accessing resources. Currently, registration via mobile number, email address, or username is supported on DeyeCloud. Users can choose one of three options for login (either the mobile, email, or username field is required;When the field mobile is used, the field countryCode must also be included). The password must be sha256 encrypted. If companyId is not provided, the token retrieved will correspond to the Personal user. When companyId is provided, the token retrieved will correspond to the business member\ncompanyId can be obtained through endpoints ‘/v1.0/account/info’","operationId":"getAccountTokenUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"appId","in":"query","description":"appId,Example:201911067156002","required":true,"type":"string","allowEmptyValue":false},{"name":"host","in":"header","description":"host","required":false,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/tokenRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/response"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/config/battery":{"post":{"tags":["Configuration Operation"],"summary":"Obtain battery-ralated parameter value","description":"Retrieve the values of the parameters: battLowCapacity, battShutDownCapacity, maxChargeCurrent, and maxDischargeCurrent","operationId":"batteryTypeSetUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceConfigPointRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceBatterySettingsResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/config/system":{"post":{"tags":["Configuration Operation"],"summary":"Obtain system work mode ralated parameter value","operationId":"systemWorkModeReadUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceConfigPointRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceSystemWorkModeResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/config/tou":{"post":{"tags":["Configuration Operation"],"summary":"Obtain time of use configuration","operationId":"getTOUValueUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceConfigPointRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceTimeOfUseResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/addLogger":{"post":{"tags":["Device Operation"],"summary":"Add loggers to business account. Up to 10 devices per batch","description":"this endpoint is only for business account.","operationId":"addLoggerToAccountUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,e.g.Bearer {token}","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/LoggerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BaseResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/alertList":{"post":{"tags":["Device Operation"],"summary":"Retrieve device alert list using 10-digit Unix timestamp(in seconds)","description":"If deviceId is not empty, query by deviceId; otherwise, query by deviceSn\nstartTimestamp and endTimestamp should not exceed 30 days","operationId":"getDeviceAlertListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,e.g.Bearer {token}","required":true,"type":"string"},{"name":"language","in":"query","description":"language","required":false,"type":"string","default":"en","allowEmptyValue":false},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceAlertListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceAlertListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/deleteLogger":{"post":{"tags":["Device Operation"],"summary":"Remove loggers from business account. Up to 10 devices per batch","description":"this endpoint is only for business account.","operationId":"deleteLoggerFromAccountUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,e.g.Bearer {token}","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/LoggerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BaseResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/history":{"post":{"tags":["Device Operation"],"summary":"Retrieve device history data","description":"Returns history data for devices at different granularities.\ngranularity=1: the field ‘startAt’ should be in format 'yyyy-MM-dd’. Field 'measurePoints' has to be passed. Returns measure-point data for the day specified by ‘startAt’\ngranularity=2: the field ‘startAt’ and 'endAt’ should be in format 'yyyy-MM-dd’. Returns statistics data between ‘startAt’ and ‘endAt’ (up to 31 days) with intervals of one day\ngranularity=3: the field ‘startAt’ and 'endAt’ should be in format 'yyyy-MM’. Returns statistics  data between ‘startAt’ and ‘endAt’ (up to 12 months) with intervals of one month\ngranularity=4: the field ‘startAt’ and 'endAt’ should be in format 'yyyy’. Returns yearly statistics data between ‘startAt’ and ‘endAt’\nValue for field of ‘measurePoints‘ could be got through endpint ‘/v1.0/device/measurePoints’","operationId":"getDeviceHistoryDataUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceHistoryDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceHistoryDataResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/historyRaw":{"post":{"tags":["Device Operation"],"summary":"Retrieve device history data by timestamp","description":"startTimestamp and endTimestamp are in second-level and startTimestamp and endTimestamp should be within 5 days\nValue for field of ‘measurePoints‘ could be got through endpoint ‘/v1.0/device/measurePoints’","operationId":"getDeviceHistoryPowerUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceHistoryPowerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceHistoryPowerResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/latest":{"post":{"tags":["Device Operation"],"summary":"Fetch latest data of devices, supporting querying in batch, up to 10 devices per batch","operationId":"getDeviceCurrentDataListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/latestDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/latestDataResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/list":{"post":{"tags":["Device Operation"],"summary":"Fetch device list for business members","operationId":"getDeviceListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/measurePoints":{"post":{"tags":["Device Operation"],"summary":"Fetch measure points according to deviceSn","operationId":"getDeviceMeasurePointsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceMeasurePointsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceMeasurePointsResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/device/register":{"post":{"tags":["Device Operation"],"summary":"Add datalogger into station","description":"If get errors:device no upload records found.\nPlease:1. Check whether gatewaySn and deviceSn are right;\n2.If gatewaySn and deviceSn are both right, please do wifi-configuration firstly","operationId":"saveBatchRegisterDeviceUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,Example:Bearer {token}","required":true,"type":"string"},{"name":"language","in":"query","description":"language","required":false,"type":"string","default":"en"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceRegisterRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceRegisterResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/battery/modeControl":{"post":{"tags":["Control Operation"],"summary":"Enable or disable the chargeMode","description":"chargeMode: GRID_CHARGE; GEN_CHARGE; can be enabled or disabled","operationId":"batteryModeControlUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderBatteryModeActionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/battery/parameter/update":{"post":{"tags":["Control Operation"],"summary":"Set the value of battery-related parameter","description":"Set the value for MAX_CHARGE_CURRENT, MAX_DISCHARGE_CURRENT, GRID_CHARGE_AMPERE, BATT_LOW\ne.g.Field `paramterType`=MAX_CHARGE_CURRENT, Field value=the value you want to set","operationId":"batterySetPointUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderBatterySetPointRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/battery/type/update":{"post":{"tags":["Control Operation"],"summary":"Set battery type","description":"If the inverter type is Three phase LV Hybrid or Single phase LV Hybrid, 4 battery types supported: BATT_V;BATT_SOC;LI;NO_BATTERY\nIf the inverter type is Three phase HV Hybrid, 3 battery types supported: BATT_V;LI;NO_BATTERY","operationId":"batteryTypeSetUsingPOST_1","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderBatteryTypeSetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"1"}},"/v1.0/order/customControl":{"post":{"tags":["Control Operation"],"summary":"send command in modbus protcol","description":"Content should be generated according to modbus protocol\nContact service@deye.com.cn to get the inverter modbus protocol manual","operationId":"customControlUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken，example：Bearer {token}","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceCustomControlRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/gridPeakShaving/control":{"post":{"tags":["Control Operation"],"summary":"Enable/disable grid peak shaving","description":"Grid Peak-shaving: \nWhen it is active, grid output power will be limited within the set value.\nIf the load power exceeds the allowed value, it will take PV energy and battery as supplement. If still can’t meet the load requirement, grid power will increase to meet the load needs.","operationId":"controlGridPeakShavingUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceGridPeakShavingControlRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/smartload/update":{"post":{"tags":["Control Operation"],"summary":"Set parameter of smartload\n","description":"Set smartload settings as 'smartload output', fill in the field 'deviceSn', set other parameters as null\nSet offVoltage/onVoltage or onSOC/offSOC in pairs.\nPlease refer to user manual for the offVoltage/onVoltage range. The voltage range varies for different models of devices,if setting exceeds the voltage range may not take effect.\nThe approximate reference range is:\nThree phase HV Hybrid:150-800;\nThree phase LV Hybrid:38-60;\nSingle phase LV Hybrid:20-60\n","operationId":"setSmartLoadUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceSmartLoadRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/energyPattern/update":{"post":{"tags":["Control Operation"],"summary":"Set energy pattern as BATTERY_FIRST or LOAD_FIRST","operationId":"setSystemEnergyPatternUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderSysEnergyPatternRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/limitControl":{"post":{"tags":["Control Operation"],"summary":"Set limit control function as SELL_FIRST,ZERO_EXPORT_TO_UPS_LOAD,ZERO_EXPORT_TO_CT or ZERO_EXPORT_TO_WIRELESS_CT","description":"Only Micro Ess is supported.","operationId":"limitControlUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DeviceLimitControlFunctionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/power/update":{"post":{"tags":["Control Operation"],"summary":"Set the value for MAX_SELL_POWER or MAX_SOLAR_POWER","description":"Hybrid 3Phase and 1Phase inverter support max_sell_power(`powerType`= MAX_SELL_POWER), max_solar_power Control(`powerType`= MAX_SOLAR_POWER) and zero_export_power(`powerType`= ZERO_EXPORT_POWER)\nMicroinverter and String inverter only support max solar power, the value of max solar power should not exceed rated power\nMicroESS supports MaxToGridPower((`powerType`= MAX_SELL_POWER)) , the value of `MaxToGridPower` should not exceed rated power","operationId":"sysSetPowerUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderSysSetPointRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/solarSell/control":{"post":{"tags":["Control Operation"],"summary":"Enable or disable solarsell","description":"Enable: action=on; Disable: action=off","operationId":"solarSellControlUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderSolarSellControlRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/tou/switch":{"post":{"tags":["Control Operation"],"summary":"Switch of TOU","description":"Turn off TOU: 'action'=off, not necessary to fill in the field 'days'\nTurn on TOU: 'action'=on, If you don't fill in the field 'days', by default, MONDAY to SUNDAY are all active\nFill in 'days' specifying which day you want to make active. For example days=[MONDAY, THURSDAY] means MONDAY and THURSDAY are active;TUESDAY,WEDNESDAY,FRIDAY,SATURDAY,SUNDAY are inactive\nNotice:\nvalue in field 'days' should be in uppercase\n","operationId":"offTOUUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderTOUSwitchRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/tou/update":{"post":{"tags":["Control Operation"],"summary":"Set time of use for the device","description":"Supported Device Type: 3Phase & 1Phase Hybrid inverter; Micro Storage System(no voltage setting)\nTimeFormat: 02:00 and timesettings  have to be in 5-minute intervals.For example(02:05,02:10)\nIf SOC, power, or voltage you set exceeds the range specified on LC screen or manual, it will be set to its boundary value","operationId":"setTOUUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderTOUSetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/sys/workMode/update":{"post":{"tags":["Control Operation"],"summary":"set system work mode as SELLING_FIRST,ZERO_EXPORT_TO_LOAD or ZERO_EXPORT_TO_CT","operationId":"setSystemWorkModeUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDeviceOrderSysWorkModeRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/order/{orderId}":{"get":{"tags":["Control Operation"],"summary":"Get the result of command execution","description":"Status=666, command excutes successfully\norderResult: original command result in modbus\nanalysisResult: command result is parsed into the register address format(Due to differences in the way commands are issued, it may be consistent with orderResult.","operationId":"getOrderByIdUsingGET","produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"name":"language","in":"query","description":"language","required":false,"type":"string"},{"name":"orderId","in":"path","description":"orderId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/OrderRecordResponse"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/alertList":{"post":{"tags":["Station Operation"],"summary":"Retrieve Alert List for stations","description":"Retrieve the alert list using 10-digit Unix timestamps (in seconds) for stations, with support for paginated queries.\n The difference between startTimestamp and endTimestamp must not exceed 180 days.\n","operationId":"getStationAlertListV2UsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationAlertListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StationAlertListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/create":{"post":{"tags":["Station Operation"],"summary":"Create a station","description":"The field `currency` comply with ISO 4217 three-letter code standard. Please refer to https://www.iban.com/currency-codes\nThe field `timezone` comply with IANA time zone database standard.Please refer to https://en.wikipedia.org/wiki/List_of_tz_database_time_zones\nThe field `countryCode` comply with ISO_3166 alpha-2code standard. Please refer to https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2 ","operationId":"createStationUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken, Example:Bearer {token}","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationCreateRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StationCreateResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/device":{"post":{"tags":["Station Operation"],"summary":"Fetch device list of the station in batch","description":"Fetch the list of devices under the power station in batch(up to 10 stations per batch).If you want to query one station, pass one stationId in arraySupport for pagination queries","operationId":"getStationDeviceListBatchUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/deviceListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/deviceListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/history":{"post":{"tags":["Station Operation"],"summary":"Retrieve history data of the station","description":"Retrieve history data of the station, supporting interval data queries in frames, days, months, and years.<br/>The meaning of granularity is as follow:<br/>If granularity is 1(frame), the field 'startAt' should be in format 'yyyy-MM-dd'. Return the data at 'startAt' with intervals of frame(Only support power-related data in repsonse)\nIf granularity is 2(day), the field 'startAt' and 'endAt'should be in format 'yyyy-MM-dd'. Return the data from 'startAt' to 'endAt'(excluded) (up to 31 days) with intervals of one day, \nIf granularity is 3(month), the field 'startAt' and 'endAt'should be in format 'yyyy-MM'. Return the data for a certain number of months (up to 12 months)with intervals of one month\nIf granularity is 4(year), the field 'startAt' and 'endAt'should be in format 'yyyy'. Return the yearly data between 'startAt' to 'endAt'<br/>","operationId":"getStationHistoryDataListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,Example:Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationHistoryDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StationHistoryDataResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/history/power":{"post":{"tags":["Station Operation"],"summary":"Retrieve history data of the station by timestamps in seconds(10-digit)","description":"startTimestamp-endTimestamp should <=12months","operationId":"getStationHistoryPowerListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"accessToken,Example:Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationHistoryPowerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StationHistoryPowerResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/latest":{"post":{"tags":["Station Operation"],"summary":"Fetch latest data of the station","description":"Retrieve latest data of the station","operationId":"getStationRealTimeDataUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationRealTimeDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/stationLatestDataResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/list":{"post":{"tags":["Station Operation"],"summary":"Fetch station list under the account","operationId":"getStationListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/stationListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/station/listWithDevice":{"post":{"tags":["Station Operation"],"summary":"Fetch station list under the account along with its devices","description":"Fetch station list with devices\nDeviceType query supports: INVERTER; MICRO_INVERTER; COLLECTOR; BATTERY; MECD; METER; RELAY_BOX; OPTIMIZER; PV_MODULE","operationId":"getStationWithDeviceListUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseStationWithDeviceListRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StationWithDeviceListResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/strategy/dynamicControl":{"post":{"tags":["Strategy Operation"],"summary":"Dynamic Control","description":"The parameter you don't set will be kept the value it was.","operationId":"dynamicControlUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/BaseDynamicControlRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/strategy/dynamicControl/read":{"post":{"tags":["Strategy Operation"],"summary":"Read Control","description":"send read command to read the parameters of dynamic Control. After send the command, get the current parameters via endpoint /v1.0/strategy/dynamicControl/readResult","operationId":"sendReadOrderUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DynamicReadRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DeviceControlResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}},"/v1.0/strategy/dynamicControl/readResult":{"post":{"tags":["Strategy Operation"],"summary":"Query the result of current Dynamic Control","description":"Please send endpoint /v1.0/strategy/dynamicControl/read first to get the orderId, then use this endpoint to query the result.","operationId":"readResultUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"authorization","in":"header","description":"Bearer {token} you get from endpoint /token.e.g.Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9","required":true,"type":"string"},{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/DynamicReadResultRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BaseDynamicConfigResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false,"x-order":"2147483647"}}},"definitions":{"AccountOrgInfo":{"type":"object","properties":{"companyId":{"type":"integer","format":"int64"},"companyName":{"type":"string"},"roleName":{"type":"string","example":"admin"}},"title":"AccountOrgInfo"},"AccountOrgInfoResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"orgInfoList":{"type":"array","description":"business member list","items":{"$ref":"#/definitions/AccountOrgInfo"}},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"AccountOrgInfoResponse"},"BaseDeviceGridPeakShavingControlRequest":{"type":"object","required":["action","deviceSn","power"],"properties":{"action":{"type":"string","example":"on"},"deviceSn":{"type":"string"},"power":{"type":"integer","format":"int32","description":"If this value is not set, it keep it was"}},"title":"BaseDeviceGridPeakShavingControlRequest"},"BaseDeviceOrderBatteryModeActionRequest":{"type":"object","required":["action","batteryModeType","deviceSn"],"properties":{"action":{"type":"string","example":"on","description":"action=on:enable, action=off:disable"},"batteryModeType":{"type":"string","enum":["GEN_CHARGE","GRID_CHARGE"]},"deviceSn":{"type":"string"}},"title":"BaseDeviceOrderBatteryModeActionRequest"},"BaseDeviceOrderBatterySetPointRequest":{"type":"object","required":["deviceSn","paramterType","value"],"properties":{"deviceSn":{"type":"string"},"paramterType":{"type":"string","enum":["MAX_CHARGE_CURRENT","MAX_DISCHARGE_CURRENT","GRID_CHARGE_AMPERE","BATT_LOW"]},"value":{"type":"integer","format":"int64"}},"title":"BaseDeviceOrderBatterySetPointRequest"},"BaseDeviceOrderBatteryTypeSetRequest":{"type":"object","required":["batteryType","deviceSn"],"properties":{"batteryType":{"type":"string","example":"BATT_V"},"deviceSn":{"type":"string"}},"title":"BaseDeviceOrderBatteryTypeSetRequest"},"BaseDeviceOrderSolarSellControlRequest":{"type":"object","required":["action","deviceSn"],"properties":{"action":{"type":"string","example":"on","description":"action=on:enable solar sell, action=off:disable soalr sell"},"deviceSn":{"type":"string"}},"title":"BaseDeviceOrderSolarSellControlRequest"},"BaseDeviceOrderSysEnergyPatternRequest":{"type":"object","required":["deviceSn","energyPattern"],"properties":{"deviceSn":{"type":"string"},"energyPattern":{"type":"string","example":"BATTERY_FIRST","description":"options:BATTERY_FIRST;LOAD_FIRST","enum":["BATTERY_FIRST","LOAD_FIRST"]}},"title":"BaseDeviceOrderSysEnergyPatternRequest"},"BaseDeviceOrderSysSetPointRequest":{"type":"object","required":["deviceSn","powerType","value"],"properties":{"deviceSn":{"type":"string"},"powerType":{"type":"string","enum":["MAX_SELL_POWER","MAX_SOLAR_POWER","ZERO_EXPORT_POWER"]},"value":{"type":"integer","format":"int64"}},"title":"BaseDeviceOrderSysSetPointRequest"},"BaseDeviceOrderSysWorkModeRequest":{"type":"object","required":["deviceSn","workMode"],"properties":{"deviceSn":{"type":"string"},"workMode":{"type":"string","example":"SELLING_FIRST","description":"options:SELLING_FIRST;ZERO_EXPORT_TO_LOAD;ZERO_EXPORT_TO_CT;For micro storage:GREEN_POWER_MODE;FULL_CHARGE_MODE;CUSTOMIZED_MODE","enum":["SELLING_FIRST","ZERO_EXPORT_TO_LOAD","ZERO_EXPORT_TO_CT","GREEN_POWER_MODE","FULL_CHARGE_MODE","CUSTOMIZED_MODE"]}},"title":"BaseDeviceOrderSysWorkModeRequest"},"BaseDeviceOrderTOUSetRequest":{"type":"object","required":["deviceSn","timeUseSettingItems"],"properties":{"deviceSn":{"type":"string"},"timeUseSettingItems":{"type":"array","description":"set the strategy for 6 time intervals.Have to be passed in sequence","items":{"$ref":"#/definitions/TimeUseSettingItem"}}},"title":"BaseDeviceOrderTOUSetRequest"},"BaseDeviceOrderTOUSwitchRequest":{"type":"object","required":["action","deviceSn"],"properties":{"action":{"type":"string","example":"on"},"days":{"type":"array","description":"If action is on, fill this field with the days of the week you want to switch on","items":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]}},"deviceSn":{"type":"string"}},"title":"BaseDeviceOrderTOUSwitchRequest"},"BaseDeviceSmartLoadRequest":{"type":"object","required":["deviceSn"],"properties":{"deviceSn":{"type":"string"},"deviceType":{"type":"string","example":"INVERTER","description":"default is INVERTER\nOptions: INVERTER;MICRO_INVERTER;MICRO_STORAGE_IN_ONE;MECD","enum":["INVERTER","COMBINER_BOX","BATTERY","WEATHER_STATION","METER","AIR_CONDITIONING","OTHER_TYPE","HARMONIC_METER","QUALITY_MONITOR","SMART_HOME","SOLAR_TRACKING_CONTROLLER","SOLAR_RADIATION_SPECTROMETER","DTU","REPEATER","MICRO_INVERTER","PV_MODULE","ELECTRIC_SOURCE","COLLECTOR","FAN","WATER_PUMP","HYBRID_POWER_SYSTEM_CABINET","STEAM_ENGINE","EPM","GAS_METER","WATER_METER","SMART_METER","TYPE_RF_SUB_DEVICE","TYPE_OFF_GRID_INVERTER","MECD","BOX_TRANSFORMER","SWITCHGEAR","OPTIMIZER","DC_CONVERTER","SURGE_PROTECTION","FLOW_METER_THERMOMETER","RELAY_BOX","FEED_IN_LIMIT","MICRO_STORAGE_IN_ONE","OPTIMIZER_CONCENTRATOR"]},"offSOC":{"type":"integer","format":"int32","description":"smartload off battery SOC"},"offVoltage":{"type":"integer","format":"int32","description":"smartload off battery voltage"},"onGridAlwaysOn":{"type":"boolean","description":"true-enable 'on grid alwasys on'; false-disable 'on grid alwasys on'"},"onSOC":{"type":"integer","format":"int32","description":"smartload on battery SOC"},"onVoltage":{"type":"integer","format":"int32","description":"smartload on battery voltage"}},"title":"BaseDeviceSmartLoadRequest"},"BaseDynamicConfigResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"gridChargeAction":{"type":"string","example":"on","description":"gridChargeAction has to be one of on;off"},"gridChargeAmpere":{"type":"integer","format":"int64"},"maxChargeCurrent":{"type":"integer","format":"int64"},"maxDischargeCurrent":{"type":"integer","format":"int64"},"maxSellPower":{"type":"integer","format":"int64"},"maxSolarPower":{"type":"integer","format":"int64"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"solarSellAction":{"type":"string","example":"on","description":"solarSellAction has to be one of on;off"},"success":{"type":"boolean","example":true},"timeUseSettingItems":{"type":"array","description":"set the strategy for 6 time intervals.Have to be passed in sequence","items":{"$ref":"#/definitions/TimeUseSettingItem"}},"touAction":{"type":"string","example":"on","description":"touAction has to be one of on;off"},"touDays":{"type":"array","description":"If action is on, fill this field with the days of the week you want to switch on","items":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]}},"workMode":{"type":"string","example":"SELLING_FIRST","description":"options:SELLING_FIRST;ZERO_EXPORT_TO_LOAD;ZERO_EXPORT_TO_CT","enum":["SELLING_FIRST","ZERO_EXPORT_TO_LOAD","ZERO_EXPORT_TO_CT","GREEN_POWER_MODE","FULL_CHARGE_MODE","CUSTOMIZED_MODE"]},"zeroExportPower":{"type":"integer","format":"int64"}},"title":"BaseDynamicConfigResponse"},"BaseDynamicControlRequest":{"type":"object","required":["deviceSn"],"properties":{"deviceSn":{"type":"string"},"gridChargeAction":{"type":"string","example":"on","description":"gridChargeAction has to be one of on;off"},"gridChargeAmpere":{"type":"integer","format":"int64"},"maxSellPower":{"type":"integer","format":"int64"},"maxSolarPower":{"type":"integer","format":"int64"},"solarSellAction":{"type":"string","example":"on","description":"solarSellAction has to be one of on;off"},"timeUseSettingItems":{"type":"array","description":"set the strategy for 6 time intervals.Have to be passed in sequence","items":{"$ref":"#/definitions/TimeUseSettingItem"}},"touAction":{"type":"string","example":"on","description":"touAction has to be one of on;off"},"touDays":{"type":"array","description":"If action is on, fill this field with the days of the week you want to switch on","items":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]}},"workMode":{"type":"string","example":"SELLING_FIRST","description":"options:SELLING_FIRST;ZERO_EXPORT_TO_LOAD;ZERO_EXPORT_TO_CT","enum":["SELLING_FIRST","ZERO_EXPORT_TO_LOAD","ZERO_EXPORT_TO_CT","GREEN_POWER_MODE","FULL_CHARGE_MODE","CUSTOMIZED_MODE"]},"zeroExportPower":{"type":"integer","format":"int64"}},"title":"BaseDynamicControlRequest"},"BaseResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"BaseResponse"},"BaseStationAlertListRequest":{"type":"object","required":["endTimestamp","startTimestamp","stationId"],"properties":{"endTimestamp":{"type":"integer","format":"int64","example":1733796958},"page":{"type":"integer","format":"int32","example":1,"description":"page number,default=1"},"size":{"type":"integer","format":"int32","example":20,"description":"size for one page，max=200, default=20"},"startTimestamp":{"type":"integer","format":"int64","example":1728526558},"stationId":{"type":"integer","format":"int64","example":322}},"title":"BaseStationAlertListRequest"},"BaseStationCreateRequest":{"type":"object","required":["currency","gridInterconnectionType","installedCapacity","locationAddress","locationLat","locationLng","name","region"],"properties":{"constructionCost":{"type":"number","format":"double","example":2300.0},"contactPhone":{"type":"string","example":13101969190},"currency":{"type":"string","example":"USD"},"gridInterconnectionType":{"type":"string","example":"DISTRIBUTED_FULLY","enum":["DISTRIBUTED_FULLY","EXCESS","OFF_GRID","BATTERY_BACKUP","GROUND_FULLY","CENTRALIZED_FULLY","GEN_USE_BTR","GEN_USE","GRID_USE_BTR","USE_BTR"]},"installationAzimuthAngle":{"type":"number","format":"double"},"installationTiltAngle":{"type":"number","format":"double"},"installedCapacity":{"type":"number","format":"double"},"locationAddress":{"type":"string"},"locationLat":{"type":"number","format":"double","description":"station latitude"},"locationLng":{"type":"number","format":"double","description":"station Longitude"},"mergeElectricPrice":{"type":"number","format":"double","description":"unitPrice（currency/kWh）"},"name":{"type":"string"},"ownerCompany":{"type":"string"},"ownerName":{"type":"string"},"region":{"$ref":"#/definitions/Region"},"startOperatingTime":{"type":"string","format":"date-time"},"stationImage":{"type":"string"},"type":{"type":"string","enum":["HOUSE_ROOF","COMMERCIAL_ROOF","INDUSTRIAL_ROOF","GROUND"]}},"title":"BaseStationCreateRequest"},"BaseStationHistoryDataRequest":{"type":"object","required":["granularity","startAt","stationId"],"properties":{"endAt":{"type":"string","example":2024,"description":"End date"},"granularity":{"type":"integer","format":"int32","example":4,"description":"The granularity of the telemetry data."},"startAt":{"type":"string","example":2024,"description":"Start date"},"stationId":{"type":"integer","format":"int64","example":322,"description":"station ID"}},"title":"BaseStationHistoryDataRequest"},"BaseStationHistoryPowerRequest":{"type":"object","required":["endTimestamp","startTimestamp","stationId"],"properties":{"endTimestamp":{"type":"integer","format":"int64"},"startTimestamp":{"type":"integer","format":"int64"},"stationId":{"type":"integer","format":"int64","example":322,"description":"station ID"}},"title":"BaseStationHistoryPowerRequest"},"BaseStationListRequest":{"type":"object","properties":{"page":{"type":"integer","format":"int32","example":3,"description":"page,default value is 1"},"size":{"type":"integer","format":"int32","example":50,"description":"size for one page，default value is 20, max value is:200"}},"title":"BaseStationListRequest"},"BaseStationRealTimeDataRequest":{"type":"object","required":["stationId"],"properties":{"stationId":{"type":"integer","format":"int64","example":322,"description":"stationId"}},"title":"BaseStationRealTimeDataRequest"},"BaseStationWithDeviceListRequest":{"type":"object","properties":{"deviceType":{"type":"string","example":"INVERTER","enum":["INVERTER","COMBINER_BOX","BATTERY","WEATHER_STATION","METER","AIR_CONDITIONING","OTHER_TYPE","HARMONIC_METER","QUALITY_MONITOR","SMART_HOME","SOLAR_TRACKING_CONTROLLER","SOLAR_RADIATION_SPECTROMETER","DTU","REPEATER","MICRO_INVERTER","PV_MODULE","ELECTRIC_SOURCE","COLLECTOR","FAN","WATER_PUMP","HYBRID_POWER_SYSTEM_CABINET","STEAM_ENGINE","EPM","GAS_METER","WATER_METER","SMART_METER","TYPE_RF_SUB_DEVICE","TYPE_OFF_GRID_INVERTER","MECD","BOX_TRANSFORMER","SWITCHGEAR","OPTIMIZER","DC_CONVERTER","SURGE_PROTECTION","FLOW_METER_THERMOMETER","RELAY_BOX","FEED_IN_LIMIT","MICRO_STORAGE_IN_ONE","OPTIMIZER_CONCENTRATOR"]},"page":{"type":"integer","format":"int32","example":3,"description":"page,default value:1"},"size":{"type":"integer","format":"int32","example":20,"description":"size for one page,default value is 20, max value is:50"}},"title":"BaseStationWithDeviceListRequest"},"DeviceAlertItem":{"type":"object","properties":{"alertCode":{"type":"string","example":2,"description":"Alert protocol code"},"alertEndTime":{"type":"integer","format":"int64"},"alertId":{"type":"string"},"alertName":{"type":"string","example":"AC_NoUtillity_Fault F35","description":"AlertName on DeyeCloud"},"alertStartTime":{"type":"integer","format":"int64"},"description":{"type":"string","description":"Alert description"},"impact":{"type":"integer","format":"int32","example":2,"description":"Alert Impact.0-No Impact;1-Impact on Production;2-Impact on Safety 3-Impact on Production&Safety"},"level":{"type":"integer","format":"int32","example":1,"description":"Alert Level(0:Notice,1:Warning,2:Failure)"},"protocolName":{"type":"string","example":"ERR5","description":"Alert protocol name"},"reason":{"type":"string","description":"Alert reason"},"solution":{"type":"string","description":"Alert solution"},"status":{"type":"integer","format":"int32","description":"1:Open,0:Closed"}},"title":"DeviceAlertItem"},"DeviceAlertListRequest":{"type":"object","required":["endTimestamp","startTimestamp"],"properties":{"deviceSn":{"type":"string"},"endTimestamp":{"type":"integer","format":"int64","example":1574132094},"page":{"type":"integer","format":"int32","example":1,"description":"which page to display. default is 1 if not provided"},"size":{"type":"integer","format":"int32","example":20,"description":"size of one page，default is 20, max is 100"},"startTimestamp":{"type":"integer","format":"int64","example":1574132075}},"title":"DeviceAlertListRequest"},"DeviceAlertListResponse":{"type":"object","required":["deviceSn","requestId","success"],"properties":{"alertList":{"type":"array","items":{"$ref":"#/definitions/DeviceAlertItem"}},"code":{"type":"string","example":1000000},"deviceId":{"type":"integer","format":"int64","example":252525},"deviceSn":{"type":"string","example":"12583SS"},"deviceType":{"type":"string","example":"C0LLECTOR"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":322,"description":"total records"}},"title":"DeviceAlertListResponse"},"DeviceBatterySettingsResponse":{"type":"object","required":["requestId","success"],"properties":{"battCapacity":{"type":"integer","format":"int64"},"battLowCapacity":{"type":"integer","format":"int64"},"battShutDownCapacity":{"type":"integer","format":"int64"},"code":{"type":"string","example":1000000},"maxChargeCurrent":{"type":"integer","format":"int64"},"maxDischargeCurrent":{"type":"integer","format":"int64"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"DeviceBatterySettingsResponse"},"DeviceConfigPointRequest":{"type":"object","required":["deviceSn"],"properties":{"deviceSn":{"type":"string","example":"12583SS"}},"title":"DeviceConfigPointRequest"},"DeviceControlResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"collectionTime":{"type":"integer","format":"int64","example":1615900034,"description":"colletionTime for latest data(Unix Timestamp in seconds)"},"connectionStatus":{"type":"integer","format":"int32","description":"connectionStatus 0:Offline 1:Online"},"msg":{"type":"string","example":"success"},"orderId":{"type":"integer","format":"int64"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"DeviceControlResponse"},"DeviceCustomControlRequest":{"type":"object","required":["content","deviceSn"],"properties":{"content":{"type":"string","example":"0103000102ABCD","description":"modus protocol command"},"deviceSn":{"type":"string"},"timeoutSeconds":{"type":"integer","format":"int32","example":600,"description":"range,10~600"}},"title":"DeviceCustomControlRequest"},"DeviceDetailItem":{"type":"object","properties":{"deviceSn":{"type":"string","example":"2332d22"},"deviceState":{"type":"integer","format":"int32","example":1,"description":"deviceState. 1.Online 2.Alert 3.Offlien"},"deviceType":{"type":"string","example":"COLLECTOR"},"productId":{"type":"string","example":"1_D002_1"},"updateTime":{"type":"integer","format":"int64","example":"2332d22","description":"updateTime for the last data"}},"title":"DeviceDetailItem"},"DeviceHistoryDataItem":{"type":"object","properties":{"itemList":{"type":"array","items":{"$ref":"#/definitions/Map«string,string»"}},"time":{"type":"string"}},"title":"DeviceHistoryDataItem"},"DeviceHistoryDataRequest":{"type":"object","required":["deviceSn","granularity","startAt"],"properties":{"deviceSn":{"type":"string","example":"12583SS"},"endAt":{"type":"string","example":"2024-01-01","description":"Coule be null if granularity=1, Others is same with startAt"},"granularity":{"type":"integer","format":"int32","example":4},"measurePoints":{"type":"array","items":{"type":"string"}},"startAt":{"type":"string","example":"2019-11-18"}},"title":"DeviceHistoryDataRequest"},"DeviceHistoryDataResponse":{"type":"object","required":["deviceSn","requestId","success"],"properties":{"code":{"type":"string","example":1000000},"dataList":{"type":"array","example":[
        {
            "collectionTime": "2023",
            "itemList": [
                {
                    "key": "generation",
                    "value": "9292.00",
                    "unit": "kWh",
                    "name": "Production"
                }
            ]
        }],"description":"dataList","items":{"$ref":"#/definitions/DeviceHistoryDataItem"}},"deviceId":{"type":"integer","format":"int64","example":252525},"deviceSn":{"type":"string","example":"12583SS"},"deviceType":{"type":"string","example":"C0LLECTOR"},"granularity":{"type":"integer","format":"int32","example":4},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"DeviceHistoryDataResponse"},"DeviceHistoryPowerRequest":{"type":"object","required":["deviceSn","endTimestamp","measurePoints","startTimestamp"],"properties":{"deviceSn":{"type":"string","example":"12583SS"},"endTimestamp":{"type":"integer","format":"int64","example":173316200},"measurePoints":{"type":"array","items":{"type":"string"}},"startTimestamp":{"type":"integer","format":"int64","example":1733155200}},"title":"DeviceHistoryPowerRequest"},"DeviceHistoryPowerResponse":{"type":"object","required":["deviceSn","requestId","success"],"properties":{"code":{"type":"string","example":1000000},"dataList":{"type":"array","items":{"$ref":"#/definitions/DeviceHistoryDataItem"}},"deviceId":{"type":"integer","format":"int64","example":252525},"deviceSn":{"type":"string","example":"12583SS"},"deviceType":{"type":"string","example":"C0LLECTOR"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"DeviceHistoryPowerResponse"},"DeviceLimitControlFunctionRequest":{"type":"object","required":["deviceSn","limitControlFunctionType"],"properties":{"deviceSn":{"type":"string"},"limitControlFunctionType":{"type":"string","example":"SELL_FIRST","description":"options:SELL_FIRST;ZERO_EXPORT_TO_UPS_LOAD;ZERO_EXPORT_TO_CT;ZERO_EXPORT_TO_WIRELESS_CT","enum":["SELL_FIRST","ZERO_EXPORT_TO_UPS_LOAD","ZERO_EXPORT_TO_CT","ZERO_EXPORT_TO_WIRELESS_CT"]}},"title":"DeviceLimitControlFunctionRequest"},"DeviceListItem":{"type":"object","properties":{"collectionTime":{"type":"integer","format":"int64","description":"last data updated time of the device"},"connectStatus":{"type":"integer","format":"int32","example":"0：Offline，1：Online，2: Alert","description":"connction Status"},"deviceId":{"type":"integer","format":"int64","description":"unique identifier of device"},"deviceSn":{"type":"string","example":123},"deviceType":{"type":"string","example":"INVERTER","enum":["INVERTER","COMBINER_BOX","BATTERY","WEATHER_STATION","METER","AIR_CONDITIONING","OTHER_TYPE","HARMONIC_METER","QUALITY_MONITOR","SMART_HOME","SOLAR_TRACKING_CONTROLLER","SOLAR_RADIATION_SPECTROMETER","DTU","REPEATER","MICRO_INVERTER","PV_MODULE","ELECTRIC_SOURCE","COLLECTOR","FAN","WATER_PUMP","HYBRID_POWER_SYSTEM_CABINET","STEAM_ENGINE","EPM","GAS_METER","WATER_METER","SMART_METER","TYPE_RF_SUB_DEVICE","TYPE_OFF_GRID_INVERTER","MECD","BOX_TRANSFORMER","SWITCHGEAR","OPTIMIZER","DC_CONVERTER","SURGE_PROTECTION","FLOW_METER_THERMOMETER","RELAY_BOX","FEED_IN_LIMIT","MICRO_STORAGE_IN_ONE","OPTIMIZER_CONCENTRATOR"]},"productId":{"type":"string","description":"3Phase High-Voltage Hybrid: 0_5412_1;3Phase Low-Voltage Hybrid: 0_5411_1;1Phase Hybrid:0_5407_1;"},"stationId":{"type":"integer","format":"int64"}},"title":"DeviceListItem"},"DeviceListRequest":{"type":"object","properties":{"page":{"type":"integer","format":"int32","example":1,"description":"page number,default=1"},"size":{"type":"integer","format":"int32","example":20,"description":"page size，max:200, default=20"}},"title":"DeviceListRequest"},"DeviceListResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"deviceList":{"type":"array","example":[
        {
            "deviceSn": "2401110313",
            "deviceId": 37,
            "deviceType": "INVERTER",
            "deviceState": 1,
            "updateTime": 1711093038,
            "productId": "0_5407_1"
        }],"description":"deviceList","items":{"$ref":"#/definitions/DeviceDetailItem"}},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":322,"description":"count of devices"}},"title":"DeviceListResponse"},"DeviceMeasurePointsRequest":{"type":"object","required":["deviceSn"],"properties":{"deviceSn":{"type":"string","example":"12583SS"},"deviceType":{"type":"string","example":"INVERTER","description":"default is INVERTER\nOptions: INVERTER;MICRO_INVERTER;MICRO_STORAGE_IN_ONE;MECD","enum":["INVERTER","COMBINER_BOX","BATTERY","WEATHER_STATION","METER","AIR_CONDITIONING","OTHER_TYPE","HARMONIC_METER","QUALITY_MONITOR","SMART_HOME","SOLAR_TRACKING_CONTROLLER","SOLAR_RADIATION_SPECTROMETER","DTU","REPEATER","MICRO_INVERTER","PV_MODULE","ELECTRIC_SOURCE","COLLECTOR","FAN","WATER_PUMP","HYBRID_POWER_SYSTEM_CABINET","STEAM_ENGINE","EPM","GAS_METER","WATER_METER","SMART_METER","TYPE_RF_SUB_DEVICE","TYPE_OFF_GRID_INVERTER","MECD","BOX_TRANSFORMER","SWITCHGEAR","OPTIMIZER","DC_CONVERTER","SURGE_PROTECTION","FLOW_METER_THERMOMETER","RELAY_BOX","FEED_IN_LIMIT","MICRO_STORAGE_IN_ONE","OPTIMIZER_CONCENTRATOR"]}},"title":"DeviceMeasurePointsRequest"},"DeviceMeasurePointsResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"deviceSn":{"type":"string"},"deviceType":{"type":"string"},"measurePoints":{"type":"array","example":[
        "SOC",
        "TotalChargeEnergy"],"items":{"type":"string"}},"msg":{"type":"string","example":"success"},"productId":{"type":"string"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"timeZone":{"type":"string"}},"title":"DeviceMeasurePointsResponse"},"DeviceRegisterRequest":{"type":"object","required":["deviceSn","gatewaySn","stationId"],"properties":{"deviceSn":{"type":"string","description":"deviceSn cannot be empty"},"gatewaySn":{"type":"string"},"stationId":{"type":"integer","format":"int64"}},"title":"DeviceRegisterRequest"},"DeviceRegisterResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"gatewayId":{"type":"integer","format":"int64","example":200124803},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"DeviceRegisterResponse"},"DeviceSystemWorkModeResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"energyPattern":{"type":"string"},"maxSellPower":{"type":"integer","format":"int64"},"maxSolarPower":{"type":"integer","format":"int64"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"systemWorkMode":{"type":"string"},"zeroExportPower":{"type":"integer","format":"int64"}},"title":"DeviceSystemWorkModeResponse"},"DeviceTimeOfUseResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"timeUseSettingItems":{"type":"array","items":{"$ref":"#/definitions/TimeOfUseItem"}},"touAction":{"type":"string"}},"title":"DeviceTimeOfUseResponse"},"DynamicReadRequest":{"type":"object","required":["deviceSn"],"properties":{"deviceSn":{"type":"string"}},"title":"DynamicReadRequest"},"DynamicReadResultRequest":{"type":"object","properties":{"orderId":{"type":"integer","format":"int64"}},"title":"DynamicReadResultRequest"},"LoggerRequest":{"type":"object","properties":{"deviceSns":{"type":"array","items":{"type":"string"}}},"title":"LoggerRequest"},"Map«string,string»":{"type":"object","title":"Map«string,string»","additionalProperties":{"type":"string"}},"OrderRecordResponse":{"type":"object","required":["requestId","success"],"properties":{"analysisResult":{"type":"string"},"code":{"type":"string","example":1000000},"createBy":{"type":"integer","format":"int64"},"createTime":{"type":"string","format":"date-time"},"deviceTimezone":{"type":"string","description":"device zone"},"error":{"type":"string","description":"fail reason 501:Conflicting Command 502:Product Type Error 505:System Error 510:Parsing Failure 511:Invalid version 530:Command Failure 570:Firmware package download failure 571:Firmware verification error 572:Firmware name error 573:Device interaction failure"},"msg":{"type":"string","example":"success"},"orderId":{"type":"integer","format":"int64"},"orderResult":{"type":"string"},"requestId":{"type":"string"},"status":{"type":"integer","format":"int32","description":"0:To be sent 100:Sending 300:during upgrade 400:Terminated 500:Failed 666:Succeeded"},"success":{"type":"boolean","example":true},"updateTime":{"type":"string","format":"date-time"}},"title":"OrderRecordResponse"},"Region":{"type":"object","required":["countryCode","timezone"],"properties":{"countryCode":{"type":"string","example":"AU"},"level1":{"type":"integer","format":"int64"},"level2":{"type":"integer","format":"int64"},"level3":{"type":"integer","format":"int64"},"level4":{"type":"integer","format":"int64"},"level5":{"type":"integer","format":"int64"},"nationId":{"type":"integer","format":"int64"},"timezone":{"type":"string","example":"Europe/Istanbul","description":"station timezone"}},"title":"Region"},"StationAlertItem":{"type":"object","properties":{"alertCode":{"type":"string","example":2,"description":"Alert protocol code"},"alertEndTime":{"type":"integer","format":"int64"},"alertId":{"type":"string"},"alertName":{"type":"string","example":"AC_NoUtillity_Fault F35","description":"AlertName on DeyeCloud"},"alertStartTime":{"type":"integer","format":"int64"},"deviceId":{"type":"string"},"deviceSn":{"type":"string","example":"2332d22"},"deviceType":{"type":"string"},"impact":{"type":"integer","format":"int32","example":2,"description":"Alert Impact.0-No Impact;1-Impact on Production;2-Impact on Safety;3-Impact on Production&Safety"},"level":{"type":"integer","format":"int32","example":1,"description":"Alert Level(0:Notice,1:Warning,2:Failure)"},"protocolName":{"type":"string","example":"ERR5","description":"Alert protocol name"},"status":{"type":"integer","format":"int32","description":"Status:1-Open、0-Closed"}},"title":"StationAlertItem"},"StationAlertListResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"stationAlertItems":{"type":"array","example":"stationAlertItems","items":{"$ref":"#/definitions/StationAlertItem"}},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":322,"description":"total records"}},"title":"StationAlertListResponse"},"StationCreateResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"id":{"type":"integer","format":"int64","example":1234,"description":"stationId"},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"StationCreateResponse"},"StationDataItem":{"type":"object","properties":{"batteryPower":{"type":"number","format":"double","description":"batteryPower"},"batterySOC":{"type":"number","format":"double","description":"batterySOC"},"chargePower":{"type":"number","format":"double","description":"chargePower"},"chargeRatio":{"type":"number","format":"double","description":"chargeRatio"},"chargeValue":{"type":"number","format":"double","description":"chargeValue"},"consumptionDischargeRatio":{"type":"number","format":"double","description":"consumptionDischargeRatio"},"consumptionPower":{"type":"number","format":"double","description":"consumptionPower"},"consumptionRatio":{"type":"number","format":"double","description":"consumptionRatio"},"consumptionValue":{"type":"number","format":"double","description":"consumptionValue"},"cpr":{"type":"number","format":"double","description":"cpr"},"day":{"type":"integer","format":"int32","description":"Date of data processed"},"dischargePower":{"type":"number","format":"double","description":"dischargePower"},"dischargeValue":{"type":"number","format":"double","description":"dischargeValue"},"fullPowerHours":{"type":"number","format":"double","description":"fullPowerHours"},"generationPower":{"type":"number","format":"double","description":"generationPower"},"generationRatio":{"type":"number","format":"double","description":"generationRatio"},"generationValue":{"type":"number","format":"double","description":"generationValue"},"gridPower":{"type":"number","format":"double","description":"gridPower"},"gridRatio":{"type":"number","format":"double","description":"gridRatio"},"gridValue":{"type":"number","format":"double","description":"gridValue"},"irradiate":{"type":"number","format":"double","description":"irradiate"},"irradiateIntensity":{"type":"number","format":"double","description":"irradiateIntensity"},"month":{"type":"integer","format":"int32","description":"Month of data processed"},"pr":{"type":"number","format":"double","description":"PR"},"purchasePower":{"type":"number","format":"double","description":"purchasePower"},"purchaseRatio":{"type":"number","format":"double","description":"purchaseRatio"},"purchaseValue":{"type":"number","format":"double","description":"purchaseValue"},"theoreticalGeneration":{"type":"number","format":"double","description":"theoreticalGeneration"},"timeStamp":{"type":"string","format":"date-time","description":"timeStamp"},"wirePower":{"type":"number","format":"double","description":"wirePower"},"year":{"type":"integer","format":"int32","description":"Year of data processed"}},"title":"StationDataItem"},"StationDetailItem":{"type":"object","properties":{"batterySOC":{"type":"number","format":"double"},"connectionStatus":{"type":"string","enum":["NORMAL","NO_DEVICE","ALL_OFFLINE","PARTIAL_OFFLINE"]},"contactPhone":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"generationPower":{"type":"number","format":"double"},"gridInterconnectionType":{"type":"string","example":"DISTRIBUTED_FULLY","description":"gridInterconnectionType","enum":["DISTRIBUTED_FULLY","EXCESS","OFF_GRID","BATTERY_BACKUP","GROUND_FULLY","CENTRALIZED_FULLY","GEN_USE_BTR","GEN_USE","GRID_USE_BTR","USE_BTR"]},"id":{"type":"integer","format":"int64"},"installedCapacity":{"type":"number","format":"double"},"lastUpdateTime":{"type":"string","format":"date-time","description":"lastUpdateTime of the station"},"locationAddress":{"type":"string"},"locationLat":{"type":"number","format":"double","description":"latitude"},"locationLng":{"type":"number","format":"double","description":"longitude"},"name":{"type":"string"},"ownerName":{"type":"string"},"regionNationId":{"type":"integer","format":"int64"},"regionTimezone":{"type":"string"},"startOperatingTime":{"type":"string","format":"date-time"}},"title":"StationDetailItem"},"StationHistoryDataItem":{"type":"object","properties":{"batteryPower":{"type":"number","format":"double","description":"batteryPower"},"batterySOC":{"type":"number","format":"double","description":"batterySOC"},"chargePower":{"type":"number","format":"double","description":"chargePower"},"chargeRatio":{"type":"number","format":"double","description":"chargeRatio"},"chargeValue":{"type":"number","format":"double","description":"chargeValue"},"consumptionDischargeRatio":{"type":"number","format":"double","description":"consumptionDischargeRatio"},"consumptionPower":{"type":"number","format":"double","description":"consumptionPower"},"consumptionRatio":{"type":"number","format":"double","description":"consumptionRatio"},"consumptionValue":{"type":"number","format":"double","description":"consumptionValue"},"cpr":{"type":"number","format":"double","description":"cpr"},"dischargePower":{"type":"number","format":"double","description":"dischargePower"},"dischargeValue":{"type":"number","format":"double","description":"dischargeValue"},"fullPowerHours":{"type":"number","format":"double","description":"fullPowerHours"},"generationPower":{"type":"number","format":"double","description":"generationPower"},"generationRatio":{"type":"number","format":"double","description":"generationRatio"},"generationValue":{"type":"number","format":"double","description":"generationValue"},"gridPower":{"type":"number","format":"double","description":"gridPower"},"gridRatio":{"type":"number","format":"double","description":"gridRatio"},"gridValue":{"type":"number","format":"double","description":"gridValue"},"irradiate":{"type":"number","format":"double","description":"irradiate"},"irradiateIntensity":{"type":"number","format":"double","description":"irradiateIntensity"},"pr":{"type":"number","format":"double","description":"PR"},"purchasePower":{"type":"number","format":"double","description":"purchasePower"},"purchaseRatio":{"type":"number","format":"double","description":"purchaseRatio"},"purchaseValue":{"type":"number","format":"double","description":"purchaseValue"},"theoreticalGeneration":{"type":"number","format":"double","description":"theoreticalGeneration"},"timeStamp":{"type":"string","format":"date-time","description":"timeStamp"},"wirePower":{"type":"number","format":"double","description":"wirePower"}},"title":"StationHistoryDataItem"},"StationHistoryDataResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"stationDataItems":{"type":"array","example":[
        {
            "generationPower": null,
            "consumptionPower": null,
            "gridPower": null,
            "purchasePower": null,
            "wirePower": null,
            "chargePower": null,
            "dischargePower": null,
            "batteryPower": null,
            "batterySOC": null,
            "irradiateIntensity": null,
            "generationValue": 182.6,
            "generationRatio": 0.0,
            "gridRatio": 0.0,
            "chargeRatio": 100.0,
            "consumptionValue": 242.5,
            "consumptionRatio": null,
            "purchaseRatio": 88.54369,
            "consumptionDischargeRatio": 11.45631,
            "gridValue": 364.2,
            "purchaseValue": 519.9,
            "chargeValue": 428.9,
            "dischargeValue": 399.6,
            "fullPowerHours": 18.26,
            "irradiate": null,
            "theoreticalGeneration": null,
            "pr": null,
            "cpr": null,
            "dateTime": null,
            "year": 2024,
            "month": 0,
            "day": 0
        }
    ],"description":"station data item List","items":{"$ref":"#/definitions/StationDataItem"}},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":1,"description":"total results"}},"title":"StationHistoryDataResponse"},"StationHistoryPowerResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"stationDataItems":{"type":"array","items":{"$ref":"#/definitions/StationHistoryDataItem"}},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":1,"description":"total results"}},"title":"StationHistoryPowerResponse"},"StationWithDeviceDetailItem":{"type":"object","properties":{"contactPhone":{"type":"string","description":"contactPhone"},"createdDate":{"type":"string","format":"date-time","description":"createdDate"},"deviceListItems":{"type":"array","description":"deviceListItems","items":{"$ref":"#/definitions/DeviceListItem"}},"deviceTotal":{"type":"integer","format":"int64","description":"deviceTotal"},"gridInterconnectionType":{"type":"string","example":"DISTRIBUTED_FULLY","description":"gridInterconnectionType","enum":["DISTRIBUTED_FULLY","EXCESS","OFF_GRID","BATTERY_BACKUP","GROUND_FULLY","CENTRALIZED_FULLY","GEN_USE_BTR","GEN_USE","GRID_USE_BTR","USE_BTR"]},"id":{"type":"integer","format":"int64","description":"stationID"},"installedCapacity":{"type":"number","format":"double","description":"installedCapacity"},"locationAddress":{"type":"string","description":"locationAddress"},"locationLat":{"type":"number","format":"double","description":"Latitude"},"locationLng":{"type":"number","format":"double","description":"Longitude"},"name":{"type":"string","description":"stationName"},"ownerName":{"type":"string","description":"ownerName"},"regionNationId":{"type":"integer","format":"int64","description":"NationId"},"regionTimezone":{"type":"string","description":"Timezone"},"startOperatingTime":{"type":"string","format":"date-time","description":"startOperatingTime"},"type":{"type":"string","example":"HOUSE_ROOF","description":"stationType","enum":["HOUSE_ROOF","COMMERCIAL_ROOF","INDUSTRIAL_ROOF","GROUND"]}},"title":"StationWithDeviceDetailItem"},"StationWithDeviceListResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"stationList":{"type":"array","items":{"$ref":"#/definitions/StationWithDeviceDetailItem"}},"stationTotal":{"type":"integer","format":"int64","example":1,"description":"count of stations"},"success":{"type":"boolean","example":true}},"title":"StationWithDeviceListResponse"},"TimeOfUseItem":{"type":"object","required":["enableGeneration","enableGridCharge","power","time"],"properties":{"enableGeneration":{"type":"boolean","description":"Want to enableGenaration set true otherwise set false"},"enableGridCharge":{"type":"boolean","description":"Want to enableGridCharge set true otherwise set false"},"power":{"type":"integer","format":"int32"},"soc":{"type":"integer","format":"int32"},"time":{"type":"string"},"voltage":{"type":"integer","format":"int32","description":"If enabled batterty voltage mode, this field should be set."}},"title":"TimeOfUseItem"},"TimeUseSettingItem":{"type":"object","required":["enableGeneration","enableGridCharge","power","time"],"properties":{"enableGeneration":{"type":"boolean","description":"Want to enableGeneration set true otherwise set false"},"enableGridCharge":{"type":"boolean","description":"Want to enableGridCharge set true otherwise set false"},"enableSell":{"type":"boolean","description":"Want to enableSell set true otherwise set false"},"power":{"type":"integer","format":"int32"},"soc":{"type":"integer","format":"int32"},"time":{"type":"string"},"voltage":{"type":"integer","format":"int32","description":"If enabled battery voltage mode, this field should be set."}},"title":"TimeUseSettingItem"},"data":{"type":"object","properties":{"key":{"type":"string","example":"MI Voltage L2","description":"name of the data"},"unit":{"type":"string","example":"V","description":"unit of the data"},"value":{"type":"string","example":223.40,"description":"value of the data"}},"title":"data"},"deviceLatestData":{"type":"object","required":["deviceSn"],"properties":{"collectionTime":{"type":"integer","format":"int64","example":1679980600,"description":"data collection time(Unix Timestamp in seconds)"},"dataList":{"type":"array","description":"dataList","items":{"$ref":"#/definitions/data"}},"deviceSn":{"type":"string","example":"12583SS"},"deviceState":{"type":"integer","format":"int32","example":1,"description":"deviceState.value：1.Online 2.Alert 3.Offline"},"deviceType":{"type":"string","example":"INVERTER"}},"title":"deviceLatestData"},"deviceListRequest":{"type":"object","required":["stationIds"],"properties":{"page":{"type":"integer","format":"int32","example":1,"description":"page,default:1"},"size":{"type":"integer","format":"int32","example":20,"description":"size for one page,max:200,default:20"},"stationIds":{"type":"array","example":[322],"description":"stationIds","items":{"type":"integer","format":"int64"}}},"title":"deviceListRequest"},"deviceListResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"deviceListItems":{"type":"array","example":[
        {
            "deviceSn": "2212228299",
            "deviceType": "INVERTER",
            "stationId": 10
        },
        {
            "deviceSn": "2775784642",
            "deviceType": "COLLECTOR",
            "stationId": 10
        }
    ],"description":"deviceList","items":{"$ref":"#/definitions/DeviceListItem"}},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":2,"description":"count of devices"}},"title":"deviceListResponse"},"latestDataRequest":{"type":"object","required":["deviceList"],"properties":{"deviceList":{"type":"array","example":[12583SS],"items":{"type":"string"}}},"title":"latestDataRequest"},"latestDataResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"deviceDataList":{"type":"array","items":{"$ref":"#/definitions/deviceLatestData"}},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true}},"title":"latestDataResponse"},"response":{"type":"object","required":["requestId","success"],"properties":{"accessToken":{"type":"string","example":"Bearer eyJhbGciOiJSUzI1NiIsInR5cC"},"code":{"type":"string","example":1000000},"expiresIn":{"type":"string","example":5183999},"msg":{"type":"string","example":"success"},"refreshToken":{"type":"string","example":"Bearer eyJhbGciOiJSUzI1NiIsInR5cC"},"requestId":{"type":"string"},"scope":{"type":"string","example":"all"},"success":{"type":"boolean","example":true},"tokenType":{"type":"string","example":"bearer"},"uid":{"type":"integer","format":"int64","example":3}},"title":"response"},"stationLatestDataResponse":{"type":"object","required":["requestId","success"],"properties":{"batteryPower":{"type":"number","format":"double"},"batterySOC":{"type":"number","format":"double"},"chargePower":{"type":"number","format":"double"},"code":{"type":"string","example":1000000},"consumptionPower":{"type":"number","format":"double"},"dischargePower":{"type":"number","format":"double"},"generationPower":{"type":"number","format":"double"},"gridPower":{"type":"number","format":"double"},"irradiateIntensity":{"type":"number","format":"double"},"lastUpdateTime":{"type":"string","format":"date-time"},"msg":{"type":"string","example":"success"},"purchasePower":{"type":"number","format":"double"},"requestId":{"type":"string"},"success":{"type":"boolean","example":true},"wirePower":{"type":"number","format":"double"}},"title":"stationLatestDataResponse"},"stationListResponse":{"type":"object","required":["requestId","success"],"properties":{"code":{"type":"string","example":1000000},"msg":{"type":"string","example":"success"},"requestId":{"type":"string"},"stationList":{"type":"array","example":[{"id":10,"name":"Deye Staion38","locationLat":50.093321,"locationLng":30.614547,"locationAddress":"Novie Bezradichi","regionNationId":232,"regionTimezone":"Europe/Helsinki","gridInterconnectionType":"DISTRIBUTED_FULLY","installedCapacity":50.0,"startOperatingTime":1705593600,"createdDate":1705304227.000000000,"batterySOC":0.0,"connectionStatus":"NORMAL","generationPower":0.0,"lastUpdateTime":1711108284,"contactPhone":"","ownerName":null}],"items":{"$ref":"#/definitions/StationDetailItem"}},"success":{"type":"boolean","example":true},"total":{"type":"integer","format":"int64","example":1,"description":"total count of all stations"}},"title":"stationListResponse"},"tokenRequest":{"type":"object","required":["appSecret","password"],"properties":{"appSecret":{"type":"string","example":"1q3e2ee5w5w20ww"},"companyId":{"type":"integer","format":"int64","example":12},"countryCode":{"type":"string","example":86},"email":{"type":"string","example":"13255@gmail.com"},"mobile":{"type":"string","example":13255200000},"password":{"type":"string","example":"5994471abb01112afcc18159f6cc74b4f511b99806da59b3caf5a9c173cacfc5","description":"must be sha256 encrypted"},"username":{"type":"string","example":"deye"}},"title":"tokenRequest"}}}